Subject: Re: next-20181211 build: 1 failures 32 warnings (next-20181211)

From: Nathan Chancellor <[email-masked]>
Date: Tue, 11 Dec 2018 15:15:35 -0700

On Tue, Dec 11, 2018 at 10:06:20PM +0000, Mark Brown wrote:
> On Tue, Dec 11, 2018 at 07:38:33PM +0000, Build bot for Mark Brown wrote:
> 
> Today's -next fails to build an arm allmodconfig due to:
> 
> > 	arm-allmodconfig
> > ../arch/arm/include/asm/irq.h:35:50: error: unknown type name 'cpumask_t'
> > ../arch/arm/include/asm/irq.h:36:9: error: unknown type name 'bool'
> > ../arch/arm/include/asm/irq.h:35:50: error: unknown type name 'cpumask_t'
> > ../arch/arm/include/asm/irq.h:36:9: error: unknown type name 'bool'
> > ../arch/arm/include/asm/irq.h:35:50: error: unknown type name 'cpumask_t'
> > ../arch/arm/include/asm/irq.h:36:9: error: unknown type name 'bool'
> > ../arch/arm/include/asm/irq.h:35:50: error: unknown type name 'cpumask_t'
> > ../arch/arm/include/asm/irq.h:36:9: error: unknown type name 'bool'
> 
> in ddbridge-ci.c and some other media files.  This is because
> ddbridge.h includes asm/irq.h but that does not directly include headers
> which define the above types and it appears some header changes have
> removed an implicit inclusion of those.  Moving the asm includes after
> the linux ones in ddbridge.h fixes this though this appears to be
> against the coding style for media.

Hi Mark,

I sent a patch for this yesterday, I think moving the asm includes after
the linux ones is the correct fix according to the rest of the kernel:
https://lore.kernel.org/linux-media/[email-masked]/

Hopefully it can be picked up quickly.

Thanks,
Nathan